/// <reference types="node" />
import type { IFlagResolver } from '../../types';
import type { Db } from '../../db/db';
import type { IProjectReadModel, ProjectForInsights, ProjectForUi } from './project-read-model-type';
import type { IProjectQuery } from './project-store-type';
import type EventEmitter from 'events';
export declare class ProjectReadModel implements IProjectReadModel {
    private db;
    private timer;
    private flagResolver;
    constructor(db: Db, eventBus: EventEmitter, flagResolver: IFlagResolver);
    getFeatureProject(featureName: string): Promise<{
        project: string;
        createdAt: Date;
    } | null>;
    getProjectsForAdminUi(query?: IProjectQuery, userId?: number): Promise<ProjectForUi[]>;
    getProjectsForInsights(query?: IProjectQuery): Promise<ProjectForInsights[]>;
    private getMembersCount;
}
//# sourceMappingURL=project-read-model.d.ts.map